unit clqdException;

interface

Uses
  { VCL/RTL }
  SysUtils;

type

  TqdException = Class(Exception)
  protected
    FErrorCode: Integer;
    function GetErrorCode: Integer;
  public
    constructor Create(const Msg: string; ErrorCode: Integer); virtual;
    constructor CreateFmt(const Msg: string; const Args: array of const; ErrorCode: Integer); virtual;
    property ErrorCode: Integer read GetErrorCode;
  end;

var
  qdException: TqdException;

implementation

constructor TqdException.Create(const Msg: string; ErrorCode: Integer);
begin
  inherited Create(Msg);
  FErrorCode := ErrorCode;
end;

constructor TqdException.CreateFmt(const Msg: string; const Args: array of const; ErrorCode: Integer);
begin
  inherited CreateFmt(Msg, Args);
  FErrorCode := ErrorCode;
end;

function TqdException.GetErrorCode: Integer;
begin
  Result := FErrorCode
end;

end.
